be.cin.mycarenet._1_0.carenet.types

## Class SingleSpecificTechnicalCareRequest

- java.lang.Object
- - be.cin.mycarenet._1_0.carenet.types.SingleSpecificTechnicalCareRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-09-11T10:29:36+02:00",
                 comments="JAXB RI v2.3.7")
      public class SingleSpecificTechnicalCareRequest
      extends Object
      implements Serializable

  Java class for SingleSpecificTechnicalCareRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SingleSpecificTechnicalCareRequestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="CareReceiverId" type="{urn:be:cin:mycarenet:1.0:carenet:types}ExtCareReceiverStrictIdType"/>
               <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}SpecificTechnicalCareDetail"/>
             </sequence>
             <attGroup ref="{urn:be:cin:mycarenet:1.0:carenet:types}MessageHeader"/>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleSpecificTechnicalCareRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtCareReceiverStrictIdType` | `getCareReceiverId()` Gets the value of the careReceiverId property.
    `MessageNameType` | `getMessageName()` Gets the value of the messageName property.
    `String` | `getReceiverReference()` Gets the value of the receiverReference property.
    `String` | `getSenderReference()` Gets the value of the senderReference property.
    `SpecificTechnicalCareDetail` | `getSpecificTechnicalCareDetail()` Gets the value of the specificTechnicalCareDetail property.
    `String` | `getVersion()` Gets the value of the version property.
    `boolean` | `isDuplicate()` Gets the value of the duplicate property.
    `boolean` | `isSynchronous()` Gets the value of the synchronous property.
    `boolean` | `isTestFlag()` Gets the value of the testFlag property.
    `void` | `setCareReceiverId(ExtCareReceiverStrictIdType value)` Sets the value of the careReceiverId property.
    `void` | `setDuplicate(boolean value)` Sets the value of the duplicate property.
    `void` | `setMessageName(MessageNameType value)` Sets the value of the messageName property.
    `void` | `setReceiverReference(String value)` Sets the value of the receiverReference property.
    `void` | `setSenderReference(String value)` Sets the value of the senderReference property.
    `void` | `setSpecificTechnicalCareDetail(SpecificTechnicalCareDetail value)` Sets the value of the specificTechnicalCareDetail property.
    `void` | `setSynchronous(boolean value)` Sets the value of the synchronous property.
    `void` | `setTestFlag(boolean value)` Sets the value of the testFlag property.
    `void` | `setVersion(String value)` Sets the value of the version property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleSpecificTechnicalCareRequest

          public SingleSpecificTechnicalCareRequest()

  - ### Method Detail

    - #### getCareReceiverId

          public ExtCareReceiverStrictIdType getCareReceiverId()

      Gets the value of the careReceiverId property.
      Returns:
        possible object is `ExtCareReceiverStrictIdType`

    - #### setCareReceiverId

          public void setCareReceiverId(ExtCareReceiverStrictIdType value)

      Sets the value of the careReceiverId property.
      Parameters:
        `value` - allowed object is `ExtCareReceiverStrictIdType`

    - #### getSpecificTechnicalCareDetail

          public SpecificTechnicalCareDetail getSpecificTechnicalCareDetail()

      Gets the value of the specificTechnicalCareDetail property.
      Returns:
        possible object is `SpecificTechnicalCareDetail`

    - #### setSpecificTechnicalCareDetail

          public void setSpecificTechnicalCareDetail(SpecificTechnicalCareDetail value)

      Sets the value of the specificTechnicalCareDetail property.
      Parameters:
        `value` - allowed object is `SpecificTechnicalCareDetail`

    - #### getMessageName

          public MessageNameType getMessageName()

      Gets the value of the messageName property.
      Returns:
        possible object is `MessageNameType`

    - #### setMessageName

          public void setMessageName(MessageNameType value)

      Sets the value of the messageName property.
      Parameters:
        `value` - allowed object is `MessageNameType`

    - #### getVersion

          public String getVersion()

      Gets the value of the version property.
      Returns:
        possible object is `String`

    - #### setVersion

          public void setVersion(String value)

      Sets the value of the version property.
      Parameters:
        `value` - allowed object is `String`

    - #### isDuplicate

          public boolean isDuplicate()

      Gets the value of the duplicate property.

    - #### setDuplicate

          public void setDuplicate(boolean value)

      Sets the value of the duplicate property.

    - #### isTestFlag

          public boolean isTestFlag()

      Gets the value of the testFlag property.

    - #### setTestFlag

          public void setTestFlag(boolean value)

      Sets the value of the testFlag property.

    - #### getSenderReference

          public String getSenderReference()

      Gets the value of the senderReference property.
      Returns:
        possible object is `String`

    - #### setSenderReference

          public void setSenderReference(String value)

      Sets the value of the senderReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getReceiverReference

          public String getReceiverReference()

      Gets the value of the receiverReference property.
      Returns:
        possible object is `String`

    - #### setReceiverReference

          public void setReceiverReference(String value)

      Sets the value of the receiverReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSynchronous

          public boolean isSynchronous()

      Gets the value of the synchronous property.

    - #### setSynchronous

          public void setSynchronous(boolean value)

      Sets the value of the synchronous property.

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.